
QGIS Application - Bug report #1655

Lacking translation causes malfunction

2009-04-25 01:34 PM - vince -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11715

Description

When a release is done (here, e.g. 1.1.0), please insure all the translation for major item are available, otherwise I18 versions sometimes

won't work.

For exemple, the 1.1.0 does not include a translation for the tr ("Shapefile ...") found in line 170 of qgsspit.cpp. As a result, the

corresponding file selector will be called with a null filter, and the user won't be able to pick any file. Getting rid of the tr () fixes the

misbehaviour (temporarily, until a proper translation will be available).

Associated revisions

Revision e92f31d8 - 2009-04-27 12:37 AM - Jürgen Fischer

fix french translation (fixes #1655)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10655 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1819a5dc - 2009-04-27 12:37 AM - Jürgen Fischer

fix french translation (fixes #1655)

git-svn-id: http://svn.osgeo.org/qgis/trunk@10655 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-04-25 01:35 PM - vince -

PS : this concerns the French version

#2 - 2009-04-25 02:11 PM - Jürgen Fischer

Replying to [comment:1 vince]:

PS : this concerns the French version

what's wrong with the translation in line 20041 of qgis_fr.ts?

#3 - 2009-04-26 12:32 AM - vince -
http://svn.osgeo.org/qgis/trunk@10655


It has a unique ; instead of a ;; separator. That makes it non-functional. Sorry for that, I thought the translation was non-existant, so I didn't checked. Will

modify it.

Besides, I've joined what the File Dialog Box looks like on my Mac: it is impossible to select the encoding, the corresponding box does not appear on

screen. But I'll try to fix the translation first, then try again.

#4 - 2009-04-26 02:43 AM - vince -

I've quickly reviewed the French translation. It is a bit approximative (typing errors here and there, a lot of things lacking), so I'll update it and propose you

an up-to-date version.

#5 - 2009-04-26 03:38 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:4 vince]:

I've quickly reviewed the French translation. It is a bit approximative (typing errors here and there, a lot of things lacking), so I'll update it and

propose you an up-to-date version.

I've fixed the bug in the dialog translation in commit:1819a5dc (SVN r10656), but all additinal improvements are still most welcome.
